Skip to main content
`Ctrl`+`K`

# scipy.linalg.blas.ssyr

scipy.linalg.blas.ssyr(alpha, x[, lower, incx, offx, n, a, overwrite_a]) = <fortran function ssyr>

  Wrapper for `ssyr`.

  Parameters:
    alpha input float
    x input rank-1 array(‘f’) with bounds (*)
  Returns:
    a rank-2 array(‘f’) with bounds (n,n)
  Other Parameters:
    lower input int, optional

      Default: 0

    incx input int, optional

      Default: 1

    offx input int, optional

      Default: 0

    n input int, optional

      Default: (len(x)-1-offx)/abs(incx)+1

    a input rank-2 array(‘f’) with bounds (n,n)
    overwrite_a input int, optional

      Default: 0